<?xml version="1.0" encoding="gb2312"?>

<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd"
    version="2.4">

    

	<filter>
		<filter-name>CacheFilter</filter-name>
		<filter-class>com.opensymphony.oscache.web.filter.CacheFilter</filter-class>
		<init-param>
			<param-name>time</param-name>
			<param-value>300</param-value>
		</init-param>
		<init-param>
			<param-name>scope</param-name>
			<param-value>application</param-value>
		</init-param>
	</filter>
	
	<filter-mapping>
		<filter-name>CacheFilter</filter-name>
		<url-pattern>/templet_NOSET/*</url-pattern>
	</filter-mapping>
	
	
	  


	 
	<filter>
	 	<filter-name>CMS4J Authorization</filter-name>
	 	<filter-class>cn.com.dekn.cms.security.auth.AdminAuthFilter</filter-class>
	 	
	 	<init-param>
    		<param-name>AdminAuthModuleClass</param-name>
    		<param-value>cn.com.dekn.cms.security.auth.CMS4JAdminAuth</param-value>
    	</init-param>
    	
    	<init-param>
    		<param-name>AuthErrPage</param-name>
    		<param-value>/cms4jadmin/purview_err.jsp</param-value>
    	</init-param>
    	
    	<init-param>
    		<param-name>SessionErrPage</param-name>
    		<param-value>/cms4jadmin/session_timeout.jsp</param-value>
    	</init-param>
		
		<init-param>
    		<param-name>LoginErrPage</param-name>
    		<param-value>/cms4jadmin/login_err.jsp</param-value>
    	</init-param>
	 </filter>
	

	 <filter-mapping>
	 	<filter-name>CMS4J Authorization</filter-name>
	 	<url-pattern>/cms4jadmin/*</url-pattern>
	 </filter-mapping>
	 
	 <filter-mapping>
	 	<filter-name>CMS4J Authorization</filter-name>
	 	<url-pattern>/do</url-pattern>
	 </filter-mapping>
	 
	 
	 
	 
	<filter> 
		<filter-name>Set Character Encoding</filter-name> 
		<filter-class>cn.com.dekn.cms.framework.filter.CharacterEncodingFilter</filter-class> 
		<init-param> 
			<param-name>encoding</param-name> 
			<param-value>GBK</param-value> 
		</init-param> 
	</filter>
	
	
	
	
	<filter-mapping> 
		<filter-name>Set Character Encoding</filter-name> 
		<url-pattern>/*</url-pattern> 
	</filter-mapping>
	
	
	<filter> 
		<filter-name>CMS4J cache</filter-name> 
		<filter-class>cn.com.dekn.cms.cache.CMS4JCacheFilter</filter-class> 
	</filter>
	
	<filter-mapping> 
		<filter-name>CMS4J cache</filter-name> 
		<url-pattern>/templet/*</url-pattern> 
	</filter-mapping>
	
		
	<servlet>
    	<servlet-name>cmscontroller</servlet-name>
    	<servlet-class>cn.com.dekn.cms.framework.web.CMSController</servlet-class>
    	<init-param>
    		<param-name>ActionMapping</param-name>
    		<param-value>/WEB-INF/config/ActionMapping.properties</param-value>
    	</init-param>
  	</servlet>
	
  	<servlet>
    	<servlet-name>configServlet</servlet-name>
    	<servlet-class>cn.com.dekn.cms.framework.web.ConfigServlet</servlet-class>
    	<load-on-startup>1</load-on-startup>
  	</servlet>
  	
  	
  	<servlet>
    	<servlet-name>adminlogin</servlet-name>
    	<servlet-class>cn.com.dekn.cms.security.login.AdminLoginServlet</servlet-class>
    	<init-param>
    		<param-name>AdminLoginModuleClass</param-name>
    		<param-value>cn.com.dekn.cms.security.login.CMS4JAdminLogin</param-value>
    	</init-param>
    	<init-param>
    		<param-name>isRequestRandCode</param-name>
    		<param-value>true</param-value>
    	</init-param>
  	</servlet>
  	
  	<servlet>
    	<servlet-name>adminlogout</servlet-name>
    	<servlet-class>cn.com.dekn.cms.security.logout.AdminLogoutServlet</servlet-class>
    	<init-param>
    		<param-name>AdminLogoutModuleClass</param-name>
    		<param-value>cn.com.dekn.cms.security.logout.CMS4JAdminLogout</param-value>
    	</init-param>
    	<init-param>
    	    <param-name>LogoutPage</param-name>
    		<param-value>cms4jadmin/login.jsp</param-value>
    	</init-param>	
  	</servlet>
  	
	<servlet>
    	<servlet-name>counter</servlet-name>
    	<servlet-class>cn.com.dekn.cms.stat.web.CounterServlet</servlet-class>
  	</servlet>  
  	


    <servlet>
        <servlet-name>ssi</servlet-name>
        <servlet-class>
          org.apache.catalina.ssi.SSIServlet
        </servlet-class>
        <init-param>
          <param-name>buffered</param-name>
          <param-value>1</param-value>
        </init-param>
        <init-param>
          <param-name>debug</param-name>
          <param-value>0</param-value>
        </init-param>
        <init-param>
          <param-name>expires</param-name>
          <param-value>10</param-value>
        </init-param>
        <init-param>
          <param-name>isVirtualWebappRelative</param-name>
          <param-value>0</param-value>
        </init-param>
        <load-on-startup>4</load-on-startup>
    </servlet>
    
    <servlet-mapping>
        <servlet-name>ssi</servlet-name>
        <url-pattern>*.shtml</url-pattern>
    </servlet-mapping>
 
    <servlet>
		<servlet-name>ConnectionPoolAdmin</servlet-name>
		<servlet-class>org.logicalcobwebs.proxool.admin.servlet.AdminServlet</servlet-class>
	</servlet>

	<servlet>
	    <servlet-name>CMS4JCacheServlet</servlet-name>
	    <servlet-class>cn.com.dekn.cms.cache.web.command.CMS4JCacheServlet</servlet-class>
	</servlet>

	<servlet-mapping>
		<servlet-name>ConnectionPoolAdmin</servlet-name>
		<url-pattern>/ConnectionPoolAdmin</url-pattern>
	</servlet-mapping>



	<servlet-mapping>
    	<servlet-name>cmscontroller</servlet-name>
    	<url-pattern>/do</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
    	<servlet-name>adminlogin</servlet-name>
    	<url-pattern>/AdminLogin</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
    	<servlet-name>adminlogout</servlet-name>
    	<url-pattern>/AdminLogout</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
    	<servlet-name>counter</servlet-name>
    	<url-pattern>/counter</url-pattern>
	</servlet-mapping>
	

	  
  	<servlet-mapping>
		<servlet-name>CMS4JCacheServlet</servlet-name>
		<url-pattern>/CMS4JCacheServlet</url-pattern>
	</servlet-mapping>

	
		
	
	
	<welcome-file-list>
		<welcome-file>index.htm</welcome-file>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.shtml</welcome-file>		
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>


	<error-page>
		<error-code>404</error-code>
		<location>/error/error.jsp</location>
	</error-page>

  	<error-page>
    	<exception-type>cn.com.dekn.cms.framework.web.exception.RuleException</exception-type>
    	<location>/common/rule_error.jsp</location>
  	</error-page>
  	
  	<error-page>
    	<exception-type>org.apache.jasper.JasperException</exception-type>
    	<location>/common/rule_error_sys.jsp</location>
  	</error-page>
  	

	
	<jsp-config>
		<taglib>
	  		<taglib-uri>/cms4j</taglib-uri> 
	  		<taglib-location>   
	  			/WEB-INF/tlds/cms4j.tld
	  		</taglib-location>
		</taglib>
		
		
		<taglib>
	  		<taglib-uri>/oscache</taglib-uri> 
	  		<taglib-location>   
	  			/WEB-INF/tlds/oscache.tld
	  		</taglib-location>
		</taglib>	
		
		<taglib>
	  		<taglib-uri>/tags</taglib-uri> 
	  		<taglib-location>   
	  			/WEB-INF/tags/
	  		</taglib-location>
		</taglib>		
	</jsp-config>
</web-app>
